new;

dataset = "huge";

ns = 1000;
nr = 10;
nu = 100;

create f = ^dataset with chi,nr,8;

i = 1;
do until i > ns;
  u = sumc(rndn(nu,nr)^2);
  call writer(f,u');
  i = i + 1;
endo;

f = close(f);

x = 0;
x2 = 0;

open f = ^dataset for read;
do until eof(f);
  u = readr(f,10);
  x = x + sumc(u);
  x2 = x2 + sumc(u^2);
endo;

f = close(f);

mean = x/ns;
std = sqrt(x2/ns - mean^2); 

print ftos(nu,"Moyenne theorique : %lf",7,4);
print ftos(sqrt(2*nu),"Ecart-type theorique : %lf",7,4);

print mean~std;




