new;
library pgraph;

data = loadd("jdata");

beta = zeros(4,1);
x = zeros(10,4);
y = zeros(10,4);

i = 1;
do while i <= 4;
  d = selif(data[.,2 3],data[.,1] .== i);
  x[.,i] = d[.,1];
  y[.,i] = d[.,2];
  beta[i] = y[.,i] / x[.,i];
  i = i + 1;
endo;

print beta;

graphset;

  begwind;
  window(2,2,0);

    _pdate = ""; _pframe = 0; _pcross = 1; _pnum = 2;
    _plctrl = -1; _pstype = 9; _psymsiz = 3.5;
    xlabel("\214x");
    ylabel("\214y");
    xtics(0,70,10,2);
    ytics(0,50,10,10);
    _paxht = 0.25; _pnumht = 0.25; _ptitlht = 0.30;

  i = 1;
  do until i > 4;
    setwind(i);
    title(ftos(i,"\214Groupe = %lf",1,0));
    _pline = 1~3~0~0~70~beta[i]*70~1~9~5;
    xy(x[.,i],y[.,i]);
    i = i + 1;
  endo;

  graphprt("-c=1 -cf=panel3.ps");

  endwind;


