new;
library pgraph;

proc f(x);
  local y;

  y = sin(x) .* cos(x);
  y = y .* bessely(3,x);

  retp(y);
endp;

y = seqa(pi,2*pi/100,301);
x = f(y);

#IFUNIX

let v = 100 100 640 480 0 0 1 6 15 0 0 2 2;
wxy = WinOpenPQG(v,"XY Plot","XY");
call WinSetActive(wxy);

#ENDIF


graphset;
  _pdate = "INRA ";
  _pnum = 2;
  fonts("complex");
  title("Un exemple de trace' de fonction");
  xlabel("x");
  ylabel("f(x)");
  _pcross = 1;
  _pframe = 0;
  ytics(-0.15,0.15,0.05,5);
  xtics(pi,7*pi,pi,0);
  let labx = "PI" "2*PI" "3*PI" "4*PI" "5*PI" "6*PI" "7*PI";
  asclabel(labx,0);
  xy(y,x);


#IFUNIX

call WinSetActive(1);

#ENDIF
