new;
library ritme,pgraph,optmum;

cls;

rndseed 123456;
T = 2;
{t,gbm} = rndGBM(1,0.50,0.20,0,T,365*T+1,1);

graphset;
  _pdate = ""; _pframe = 0; _pnum = 2;
  xlabel("t");
  ylabel("GBM process");
  xtics(0,2,0.5,5);
  xy(t,gbm);

proc mu(x,theta);
  retp( theta[1] * x );
endp;

fn sigma(x,theta) = theta[2]*x;

proc ml(theta);
  retp( -sumc(packr(_sde_logl(&mu,&sigma,theta,gbm,1/365))) );
endp;

let sv = 0.4 0.3;

output file = sde1.out reset;

{theta,logL,grd,retcode} = optmum(&ml,sv);

output off;