new;
library ritme,pgraph,optmum;

cls;

rndseed 123456;
T = 2;
{t,gbm} = rndGBM(1,0.50,0.20,0,T,365*T+1,1);

graphset;
  _pdate = ""; _pframe = 0; _pnum = 2;
  xlabel("t");
  ylabel("GBM process");
  xtics(0,2,0.5,5);
  xy(t,gbm);

proc mu(x,theta);
  retp( theta[1] * x );
endp;

fn sigma(x,theta) = theta[2]*x;

proc H(theta);
  local m1,m2;

  m1 = _sde_e(&mu,theta,gbm,1/365);
  m2 = m1 .* m1 - _sde_v(&sigma,theta,gbm,1/365);

  retp(m1~m2);
endp;

let sv = 1 1;

_gmm_tol = 1e-5;
_gmm_MaxIters = 5;

output file = sde2.out reset;

{theta,stderr,cov,Q} = gmm(&h,sv);

output off;