new;
library ritme;


N = 1000;
Ns = 1000;
sigma = 0.25;

y0 = zeros(1,Ns);
phi = ones(1,Ns);

y = recserar(sigma*rndn(N+1,Ns),y0,phi);

yy = trimr(lag1(y),1,0);
y = trimr(y,1,0);
 
rho = sumc(y .* yy) ./ sumc( yy .* yy);
e = y - yy .* rho';
sigma2 = stdc(e)^2 * (N-1) / N;
stderr = sqrt( sigma2 ./ sumc( yy .* yy) );
t = (rho - 1) ./ stderr;
cv = quantile(t,0.01|0.05|0.10);

print "Approximate asymptotic critical values (t-ratio):";
print "-------------------------------------------------";
print "  1%      5%      10%";
print "-------------------------------------------------";
print "-2.56   -1.94   -1.62";
print "";
print "Our critical values:";
print cv;