new;
library co;
coset;

proc fct(x);
   retp( (x[1] + 3*x[2] + x[3])^2 + 4*(x[1] - x[2])^2 );
endp;

proc ineqp(x);
    retp(6*x[2] + 4*x[3] - x[1]^3 - 3);
endp;

proc eqp(x);
    retp(1-sumc(x));
endp;

_co_Bounds = { 0 1e256 };

start = { .1, .7, .2 };

_co_IneqProc = &ineqp;
_co_EqProc = &eqp;

{ x,f,g,ret } = coprt(co( &fct,start ));

print;
print "published solution";
print " 0      0       1";

print;
print "nonlinear equality Lagrangeans";
print vread(_co_Lagrange,"nlineq");
print;
print "nonlinear inequality Lagrangeans";
print vread(_co_Lagrange,"nlinineq");
print;
print "boundary Lagrangeans";
print "Lower / Upper";
print vread(_co_Lagrange,"bounds");



