new;
library ritme;

#include rndmn.inc;

output file = dat_cov.out reset;

y = rndmn(mu,SIGMA,20000);

nom_de_la_base = "rndmn";

call saved(y,nom_de_la_base,0 $+ "Y");
m1 = meanc(y);
cov1 = vcx(y);

let names = Y1 Y2 Y3;
{m2,sigma2,cov2,cor2} = dat_cov(nom_de_la_base,names);

print m1~m2;
print cov1;
print cov2;
print cov1-cov2;

nom_des_variables = getname(nom_de_la_base);

create pointeur_de_fichier = ^nom_de_la_base with ^nom_des_variables,3,8;

/*
call close(pointeur_de_fichier);
open pointeur_de_fichier = ^nom_de_la_base for append;
*/

i = 1;
do until i > 100;
  y = rndmn(mu,SIGMA,20000);
  call writer(pointeur_de_fichier,y);
  i = i + 1;
endo;

/*
**> N'oubliez surtout pas de fermer la base !!!
*/

closeall;

{m3,sigma3,cov3,cor3} = dat_cov(nom_de_la_base,1|2|3);

print "Nombre de lignes dans la base de donnes : " 100*20000;
{fnames,finfo} = fileinfo(nom_de_la_base $+ ".dat");
print "Taille (nombre de Mo)" finfo[8]/1000/1000;

print m3;
print cov3;
print cor3;

output off;