new;

fin = fopen("uneBase.asc","r");

let vnames = "nom" "sexe" "AGE" "ville" "POIDS" "P/AGE";
create fout = uneBase3 with ^vnames,6,8;

let mask = 0 0 1 0 1;

do until eof(fin);
  str = fgetsa(fin,1);    /* Lecture d'une ligne de fichier */
  sa = ConvertString(str);
  x = ConvertStringArray(sa',mask);
  x = x~x[5]/x[3];
  call writer(fout,x);
endo;

fin = close(fin);
fout = close(fout);

datalist uneBase3;

proc (1) = ConvertString(str);
  local sa,sa_;

  {sa,str} = token(str);

  do until str $== "";
    {sa_,str} = token(str);
    sa = sa $| sa_;
  endo;

  retp(sa);
endp;

proc (1) = ConvertStringArray(sa,mask);
  local r,c,x,i,j;

  r = rows(sa);
  c = cols(sa);
  x = 0 $+ sa;

  i = 1;
  do until i > c;
    if mask[i] == 1;
      j = 1;
      do until j > r;
        x[j,i] = stof(sa[j,i]);
        j = j + 1;
      endo;
    endif;
    i = i + 1;
  endo;

  retp(x);
endp;

