new;

proc rndt(r,c,nu);
  retp(cdftci(rndu(r,c),nu));
endp;


Nobs = 100;

X = 1000*rndn(Nobs,5);
let beta = 1 2 3 4 5;
sigma = 25;
nu = 3;

create f1 = MC1 with beta,5,8;
create f2 = MC2 with beta,5,8;

i = 1;
do until i > 1;
  y = x*beta + rndn(Nobs,1)*sigma;
  bols = y/x;
  call writer(f1,bols');
  y = x*beta + rndt(Nobs,1,nu)*sigma;
  bols = y/x;
  call writer(f2,bols');

  i = i + 1;
endo;

closeall;