new;

#include optim.sdf;                    //  #include pv.sdf
                                       //  #include ds.sdf

Nobs = 1000;
Np = 50;

param = rndu(Np,1);
data = rndn(Nobs,Np);

fn fct1(p) = p[1]*exp(-data*p);
t0 = hsec;
g1 = gradp(&fct1,param);
print /flush ftos((hsec-t0)/100,"Computational time : %lf sec.",5,3);

struct PV param_MT;
param_MT = pvCreate;
param_MT = pvPack(param_MT,param,"param");

struct DS data_MT;
data_MT = dsCreate;
data_MT.dataMatrix = data;
data_MT.dataMatrix = 0;

proc fct2(struct PV p, struct DS d);
    local param,y;
    param = pvUnpack(p,"param");
    y = param[1]*exp(-data*param);  // y = param[1]*exp(-d.dataMatrix*param); 
    retp(y);
endp;

t0 = hsec;
g2 = gradMT(&fct2,param_MT,data_MT);
print /flush ftos((hsec-t0)/100,"Computational time : %lf sec.",5,3);
