new;
library pgraph;

proc f(x);
  local y;

  y = sin(x) .* cos(x);
  y = y .* bessely(3,x);

  retp(y);
endp;

y = seqa(pi,2*pi/100,301);
x = f(y);

#IFUNIX

let v = 100 100 640 480 0 0 1 6 15 0 0 2 2;
wxy = WinOpenPQG(v,"XY Plot","XY");
call WinSetActive(wxy);

#ENDIF


graphset;
  _pdate = "RITME ";
  _pnum = 2; _plwidth = 5;
  fonts("complex simgrma");
  title("\214Un exemple de trace' de fonction\Lf(x) = sin(x) cos(x) Y]3[[(2)](x)");
  xlabel("\214x");
  ylabel("\214\201f(x)");
  _pcross = 1;
  _pframe = 0;
  ytics(-0.15,0.15,0.05,5);
  xtics(pi,7*pi,pi,0);
  let labx = "\202p\201" "\2012\202p\201" "\2013\202p\201" "\2014\202p\201"
             "\2015\202p\201" "\2016\202p\201" "\2017\202p\201";
  asclabel(labx,0);
  graphprt("-c=1 -cf=pgraph4.ps");
  xy(y,x);


#IFUNIX

call WinSetActive(1);

#ENDIF
