new;
library ritme;

load data[15,4] = greene1.asc;

constant = ones(15,1);
trend = seqa(1,1,15);

y = data[.,1];
x = constant~trend~data[.,2 3 4];

let __altnam = "Constant" "Trend" "GNP" "Int.rate" "Inf.rate";

{beta,stderr,cov,u} = ols(y,x);

RSS = u'u;
y = y - meanc(y);
TSS = y'y;
R2 = 1 - RSS/TSS;

output file = res1.out reset;

{F,pvalue} = FisherTest(rows(y),cols(x)-1,R2);

output off;