new;
library gauss,ritme;

rndseed 124;

x = seqa(1,1,1000);
y = 2 + 3 * x + rndn(1000,1);

proc Wald1(theta);
  local R;
  R = theta[1] - 2 |
      theta[2] - 3 ;
  retp(R);
endp;

proc Wald2(theta);
  local R;
  R = theta[2]*ln(theta[1]) - 3*ln(2);
  retp(R);
endp;

__output = 0;
{vnam,m,b,stb,vc,sdterr,sigma,cx,rsq,resid,dwstat} = ols(0,y,x);

output file = wald.out reset;

__output = 1;
call WaldTest(&Wald1,b,vc);
{w2,pvalue} = WaldTest(&Wald2,b,vc);

output off;
